Bug 1449221 - [3.3] openshift_pkg_version doesn't seem to work
Summary: [3.3] openshift_pkg_version doesn't seem to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.3.1
Assignee: Scott Dodson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1391325
Blocks: 1449220
TreeView+ depends on / blocked
 
Reported: 2017-05-09 12:34 UTC by Scott Dodson
Modified: 2017-05-17 17:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Because the upgrade playbooks upgraded packages in a serial manner rather than all at once yum dependency resolution would have installed the latest version available in the enabled repos rather than the requested version. The playbooks have been updated to upgrade all packages to the requested version at once which prevents yum from potentially upgrading to the latest version.
Clone Of: 1391325
Environment:
Last Closed: 2017-05-17 17:41:12 UTC


Attachments (Terms of Use)
yum logs (33.16 KB, text/plain)
2017-05-12 04:24 UTC, Anping Li
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Comment 3 Anping Li 2017-05-11 10:11:03 UTC
OCP3.2 was upgraded to v3.3.1.24 although openshift_pkg_version=-3.3.1.3 was specified.
# yum search  atomic-openshift-master --showdup
Loaded plugins: amazon-id, rhui-lb, search-disabled-repos
====================================================================================== N/S matched: atomic-openshift-master =======================================================================================
atomic-openshift-master-3.3.0.32-1.git.0.37bd7ea.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.0.34-1.git.0.83f306f.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.0.35-1.git.0.d7bd9b6.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.3-1.git.0.86dc49a.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.4-1.git.0.7c8657c.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.5-1.git.0.62700af.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.7-1.git.0.0988966.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.11-1.git.0.cba037c.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.14-1.git.0.13deca9.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.17-1.git.0.b82e86c.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.19-1.git.0.d5749a7.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.20-1.git.0.71967e4.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.24-1.git.0.d2b1310.el7.x86_64 : Origin Master
atomic-openshift-master-3.3.1.24-1.git.0.d2b1310.el7.x86_64 : Origin Master

Comment 5 Anping Li 2017-05-12 04:24:54 UTC
Created attachment 1278063 [details]
yum logs

The logs of "yum history list --quiet | tail -n +3 | awk '{ print $1 }' | xargs yum history info"

Comment 6 Anping Li 2017-05-12 07:45:12 UTC
Please ignore comment 3,4&5. I was using openshift-ansible-3.3.78 which didn't include the fix.

Verified with openshift-ansible-3.3.79
OCP can be upgraded from v3.2 to v3.3.1.4 when use openshift_pkg_version=-3.3.1.4
OCP can be upgraded from v3.3.1.4 to v3.3.1.20 when use openshift_pkg_version=-3.3.1.20

Comment 8 errata-xmlrpc 2017-05-17 17:41:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.